import 'package:core_localization/core_localization.dart';
import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

/// A common widget that displays a "Having trouble? Contact Support" link.
class AuthTroubleLink extends StatelessWidget {
  /// Creates an [AuthTroubleLink].
  const AuthTroubleLink({super.key});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      spacing: UiConstants.space1,
      children: <Widget>[
        Text(
          t.staff_authentication.common.trouble_question,
          style: UiTypography.body2r.textSecondary,
        ),
        Text(
          t.staff_authentication.common.contact_support,
          style: UiTypography.body2b.textLink,
        ),
      ],
    );
  }
}
